@prefix sh: <http://www.w3.org/ns/shacl#> .
# @prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix schema: <http://schema.org/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix ssn: <http://www.w3.org/ns/ssn/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:cf2502d0-d951-467f-8b80-038fccd2809c
    a sh:NodeShape ;
    # no target class until explicitly needed
    dcterms:subject dfgfo:4 ;
    dcterms:title "property"@en ; 
    dcterms:description "A quality of an entity. An aspect of an entity that is intrinsic to and cannot exist without the entity."@en ;
    dcterms:title "Eigenschaft"@de ; 
    dcterms:description "Eine Eigenschaft einer Entität. Ein Aspekt einer Entität, der ihr innewohnt und ohne sie nicht existieren kann."@de ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    sh:property [
        sh:name "name"@en ;
        sh:description "Relation to the label or name of the property."@en ;
        sh:path schema:name ;
        sh:minCount 1 ;
        sh:datatype xsd:string ;
    ] ;
    sh:property [
        sh:name "isPropertyOf"@en ;
        sh:description "Relation between a Property and the entity it belongs to."@en ;
        sh:path ssn:isPropertyOf ;
        sh:minCount 1 ;
        # sh:node aps:892e3573-2fe2-4275-93b7-9770db3cb6b7 ; # Hardware ; turn off for now
    ] ;
    # owl:imports aps:892e3573-2fe2-4275-93b7-9770db3cb6b7 ; # Hardware ;
    sh:property [
        sh:name "value"@en ;
        sh:description "Relation to the value of the property, or reference to location where values are stored."@en ;
        sh:path schema:value ;
    ] .